Nieuws:

Welkom, Gast. Alsjeblieft inloggen of registreren.
Heb je de activerings-mail niet ontvangen?

Auteur Topic: [Opgelost] aMule installeren op Ubuntu server 9.04  (gelezen 1201 keer)

Offline JJRabbit

  • Lid
  • Steunpunt: Nee
[Opgelost] aMule installeren op Ubuntu server 9.04
« Gepost op: 2010/04/17, 14:18:26 »
Hallo, ik wil graag aMule installeren op een Ubuntu server. Daarvoor heb ik deze handleiding gevolgd: http://open-blog.net/nl/install-amule-in-daemon-mode-tested-on-ubuntu-server/

Helaas lijkt er niets te gebeuren wanneer ik dit commando invoer:
Citaat
aMuled &
Hieronder is gedetailleerd weergegeven wat ik te zien krijg:

Last login: Tue Apr 13 19:22:57 2010 from 192.168.1.110
root@debian:~# su link
link@debian:/root$ cd ..
link@debian:/$ sudo aptitude install amule-daemon
sudo: unable to resolve host debian
[sudo] password for link:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
Initializing package states... Done
Writing extended state information... Done
The following NEW packages will be installed:
  amule-common{a} amule-daemon amule-utils{a} defoma{a}
  fontconfig-config{a} libcrypto++7{a} libexpat1{a} libfontconfig1{a}
  libfreetype6{a} libgd2-xpm{a} libjpeg62{a} libpng12-0{a} libupnp3{a}
  libwxbase2.8-0{a} libx11-6{a} libx11-data{a} libxau6{a} libxcb1{a}
  libxdmcp6{a} libxpm4{a} ttf-dejavu{a} ttf-dejavu-core{a}
  ttf-dejavu-extra{a} x11-common{a}
0 packages upgraded, 24 newly installed, 0 to remove and 0 not upgraded.
Need to get 12.8MB of archives. After unpacking 32.3MB will be used.
Do you want to continue? [Y/n/?] Y
Writing extended state information... Done
Get:1 http://ports.ubuntu.com jaunty/main x11-common 1:7.4~5ubuntu18 [366kB]
Get:2 http://ports.ubuntu.com jaunty/main libexpat1 2.0.1-4 [119kB]
Get:3 http://ports.ubuntu.com jaunty/main libxau6 1:1.0.4-1 [12.4kB]
Get:4 http://ports.ubuntu.com jaunty/main libxdmcp6 1:1.0.2-3 [16.3kB]
Get:5 http://ports.ubuntu.com jaunty/main libxcb1 1.1.93-0ubuntu3 [41.0kB]
Get:6 http://ports.ubuntu.com jaunty/main libx11-data 2:1.1.99.2-1ubuntu2 [170kB]
Get:7 http://ports.ubuntu.com jaunty/main libx11-6 2:1.1.99.2-1ubuntu2 [603kB]
Get:8 http://ports.ubuntu.com jaunty/universe amule-common 2.2.4-1ubuntu1 [2402kB]
Get:9 http://ports.ubuntu.com jaunty/universe libcrypto++7 5.5.2-2 [1116kB]
Get:10 http://ports.ubuntu.com jaunty/main libpng12-0 1.2.27-2ubuntu2 [164kB]
Get:11 http://ports.ubuntu.com jaunty/universe libupnp3 1:1.6.6-3 [93.5kB]
Get:12 http://ports.ubuntu.com jaunty/universe libwxbase2.8-0 2.8.9.1-0ubuntu6 [593kB]
Get:13 http://ports.ubuntu.com jaunty/universe amule-daemon 2.2.4-1ubuntu1 [1110kB]
Get:14 http://ports.ubuntu.com jaunty/main libfreetype6 2.3.9-4build1 [376kB]
Get:15 http://ports.ubuntu.com jaunty/main defoma 0.11.10-0.2ubuntu1 [101kB]
Get:16 http://ports.ubuntu.com jaunty/main ttf-dejavu-core 2.28-1 [1429kB]
Get:17 http://ports.ubuntu.com jaunty/main ttf-dejavu-extra 2.28-1 [3092kB]
Get:18 http://ports.ubuntu.com jaunty/main ttf-dejavu 2.28-1 [3104B]
Get:19 http://ports.ubuntu.com jaunty/main fontconfig-config 2.6.0-1ubuntu12 [51.6kB]
Get:20 http://ports.ubuntu.com jaunty/main libfontconfig1 2.6.0-1ubuntu12 [115kB]
Get:21 http://ports.ubuntu.com jaunty/main libjpeg62 6b-14 [91.0kB]
Get:22 http://ports.ubuntu.com jaunty/main libxpm4 1:3.5.7-1 [38.2kB]
Get:23 http://ports.ubuntu.com jaunty/main libgd2-xpm 2.0.36~rc1~dfsg-3ubuntu1 [208kB]
Get:24 http://ports.ubuntu.com jaunty/universe amule-utils 2.2.4-1ubuntu1 [443kB]
Fetched 12.8MB in 5s (2260kB/s)  
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "nl_NL.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Preconfiguring packages ...
Selecting previously deselected package x11-common.
(Reading database ... 14083 files and directories currently installed.)
Unpacking x11-common (from .../x11-common_1%3a7.4~5ubuntu18_all.deb) ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "nl_NL.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Selecting previously deselected package libexpat1.
Unpacking libexpat1 (from .../libexpat1_2.0.1-4_armel.deb) ...
Selecting previously deselected package libxau6.
Unpacking libxau6 (from .../libxau6_1%3a1.0.4-1_armel.deb) ...
Selecting previously deselected package libxdmcp6.
Unpacking libxdmcp6 (from .../libxdmcp6_1%3a1.0.2-3_armel.deb) ...
Selecting previously deselected package libxcb1.
Unpacking libxcb1 (from .../libxcb1_1.1.93-0ubuntu3_armel.deb) ...
Selecting previously deselected package libx11-data.
Unpacking libx11-data (from .../libx11-data_2%3a1.1.99.2-1ubuntu2_all.deb) ...
Selecting previously deselected package libx11-6.
Unpacking libx11-6 (from .../libx11-6_2%3a1.1.99.2-1ubuntu2_armel.deb) ...
Selecting previously deselected package amule-common.
Unpacking amule-common (from .../amule-common_2.2.4-1ubuntu1_all.deb) ...
Selecting previously deselected package libcrypto++7.
Unpacking libcrypto++7 (from .../libcrypto++7_5.5.2-2_armel.deb) ...
Selecting previously deselected package libpng12-0.
Unpacking libpng12-0 (from .../libpng12-0_1.2.27-2ubuntu2_armel.deb) ...
Selecting previously deselected package libupnp3.
Unpacking libupnp3 (from .../libupnp3_1%3a1.6.6-3_armel.deb) ...
Selecting previously deselected package libwxbase2.8-0.
Unpacking libwxbase2.8-0 (from .../libwxbase2.8-0_2.8.9.1-0ubuntu6_armel.deb) ...
Selecting previously deselected package amule-daemon.
Unpacking amule-daemon (from .../amule-daemon_2.2.4-1ubuntu1_armel.deb) ...
Selecting previously deselected package libfreetype6.
Unpacking libfreetype6 (from .../libfreetype6_2.3.9-4build1_armel.deb) ...
Selecting previously deselected package defoma.
Unpacking defoma (from .../defoma_0.11.10-0.2ubuntu1_all.deb) ...
Selecting previously deselected package ttf-dejavu-core.
Unpacking ttf-dejavu-core (from .../ttf-dejavu-core_2.28-1_all.deb) ...
Selecting previously deselected package ttf-dejavu-extra.
Unpacking ttf-dejavu-extra (from .../ttf-dejavu-extra_2.28-1_all.deb) ...
Selecting previously deselected package ttf-dejavu.
Unpacking ttf-dejavu (from .../ttf-dejavu_2.28-1_all.deb) ...
Selecting previously deselected package fontconfig-config.
Unpacking fontconfig-config (from .../fontconfig-config_2.6.0-1ubuntu12_all.deb) ...
Selecting previously deselected package libfontconfig1.
Unpacking libfontconfig1 (from .../libfontconfig1_2.6.0-1ubuntu12_armel.deb) ...
Selecting previously deselected package libjpeg62.
Unpacking libjpeg62 (from .../libjpeg62_6b-14_armel.deb) ...
Selecting previously deselected package libxpm4.
Unpacking libxpm4 (from .../libxpm4_1%3a3.5.7-1_armel.deb) ...
Selecting previously deselected package libgd2-xpm.
Unpacking libgd2-xpm (from .../libgd2-xpm_2.0.36~rc1~dfsg-3ubuntu1_armel.deb) ...
Selecting previously deselected package amule-utils.
Unpacking amule-utils (from .../amule-utils_2.2.4-1ubuntu1_armel.deb) ...
Setting up x11-common (1:7.4~5ubuntu18) ...
Installing new version of config file /etc/gdm/failsafeDexconf ...
Installing new version of config file /etc/gdm/failsafeXinit ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "nl_NL.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "nl_NL.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").

Setting up libexpat1 (2.0.1-4) ...

Setting up libxau6 (1:1.0.4-1) ...

Setting up libxdmcp6 (1:1.0.2-3) ...

Setting up libxcb1 (1.1.93-0ubuntu3) ...

Setting up libx11-data (2:1.1.99.2-1ubuntu2) ...
Setting up libx11-6 (2:1.1.99.2-1ubuntu2) ...

Setting up amule-common (2.2.4-1ubuntu1) ...
Setting up libcrypto++7 (5.5.2-2) ...

Setting up libpng12-0 (1.2.27-2ubuntu2) ...

Setting up libupnp3 (1:1.6.6-3) ...

Setting up libwxbase2.8-0 (2.8.9.1-0ubuntu6) ...

Setting up amule-daemon (2.2.4-1ubuntu1) ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "nl_NL.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
 * Not starting aMule daemon, AMULED_USER not set in /etc/default/amule-daemon.

Setting up libfreetype6 (2.3.9-4build1) ...

Setting up defoma (0.11.10-0.2ubuntu1) ...

Setting up ttf-dejavu-core (2.28-1) ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "nl_NL.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").

Setting up ttf-dejavu-extra (2.28-1) ...
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "nl_NL.UTF-8"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").

Setting up ttf-dejavu (2.28-1) ...
Setting up fontconfig-config (2.6.0-1ubuntu12) ...

Setting up libfontconfig1 (2.6.0-1ubuntu12) ...

Setting up libjpeg62 (6b-14) ...

Setting up libxpm4 (1:3.5.7-1) ...

Setting up libgd2-xpm (2.0.36~rc1~dfsg-3ubuntu1) ...

Setting up amule-utils (2.2.4-1ubuntu1) ...
Processing triggers for libc6 ...
ldconfig deferred processing now taking place
Reading package lists... Done            
Building dependency tree      
Reading state information... Done
Reading extended state information      
Initializing package states... Done
Writing extended state information... Done

link@debian:/$ sudo nano /etc/default/amule-daemon
sudo: unable to resolve host debian
[sudo] password for link:
link@debian:/$ amuled
amuled: OnInit - starting timer
Initialising aMuled 2.2.4 using wxGTK2 v2.8.9
Checking if there is an instance already running...
No other instances are running.
ERROR: Info  --- This is the first time you run aMule 2.2.4 ---


More information, support and new releases can found at our homepage,
at www.aMule.org, or in our IRC channel #aMule at irc.freenode.net.

Feel free to report any bugs to http://forum.amule.org
ListenSocket: Ok.
Loading temp files from /home/link/.aMule/Temp.
HTTP download thread started

All PartFiles Loaded.
No shareable files found in directory: /home/link/.aMule/Incoming

ERROR: aMule daemon cannot be used when external connections are disabled. To enable External Connections, use either a normal aMule, start amuled with the option --ec-config or set the key"AcceptExternalConnections" to 1 in the file ~/.aMule/amule.conf

Now, exiting main app...
aMule OnExit: Terminating core.
aMule shutdown completed.
link@debian:/$ echo-n V\fO#3v | md5sum | cut-d ""-f 1
bash: cut-d: command not found
bash: echo-n: command not found
link@debian:/$ nano ~/.aMule/amule.conf              

Error reading /home/link/.nano_history: Permission denied

Press Enter to continue starting nano.

link@debian:/$ sudo nano ~/.aMule/amule.conf
sudo: unable to resolve host debian
[sudo] password for link:
link@debian:/$ aMuled &
[1] 23824
link@debian:/$ bash: aMuled: command not found

[1]+  Exit 127                aMuled
link@debian:/$ aMuled &
[1] 23825
bash: aMuled: command not found
link@debian:/$ aMuled  
bash: aMuled: command not found
[1]+  Exit 127                aMuled
link@debian:/$ aMule  
bash: aMule: command not found
link@debian:/$ su root
Password:
su: Authentication failure
link@debian:/$ su root
Password:
root@debian:/# aMuled &
[1] 23840
root@debian:/# bash: aMuled: command not found
root@debian:/#
« Laatst bewerkt op: 2010/04/19, 18:53:38 door JJRabbit »

Offline Gijsbert

  • Lid
  • Steunpunt: Ja
Re: aMule installeren op Ubuntu server 9.04
« Reactie #1 Gepost op: 2010/04/17, 14:51:30 »
Lijkt wel of er iets is met je configuratie file. Kijk eens op de amule wiki(In het Nederlands)
http://wiki.amule.org/index.php/Main_Page-nl
In der Beschränkung zeigt sich der Meister.

Offline JJRabbit

  • Lid
  • Steunpunt: Nee
Re: aMule installeren op Ubuntu server 9.04
« Reactie #2 Gepost op: 2010/04/19, 17:07:39 »
Probleem was dat de correcte opdracht geen hoofdletter bevat, het is "amuled &" en niet "aMuled &".